<?php 
$sfsSettings   = SfsSettings::get();
$sfsFooters    = SfsPostType::get();
$sfsPostTypes  = SfsPostType::getAllPostTypes();
$sfsTaxonomies = SfsPostType::getAllTaxonomies();
?>
<div id="sfs-footer-settings-wrapper" class="standby">
	<div id="sfs-save-loading">
		<span class="saving">
			<i class="fa fa-circle-o-notch fa-spin fa-fw"></i>
			<?php echo __("Wait until the settings are saved...", "smart-footer-system") ?>
		</span>
		<span class="saved">
			<i class="fa fa-check"></i>
			<?php echo __("DONE!", "smart-footer-system") ?>
		</span>
	</div>
	<div id="sfs-footer-metabox">
		<form method="post">
			<section class="sfs-footer-section" id="sfs-footer-general-settings-content">
				<header>
					<h3><?php echo __("Smart Footer System", 'smart-footer-system').'<small style="font-size: 14px; margin-left: 5px; margin-top: 5px;"> v'.SFS_VERSION.'</small>' ?></h3>
					<button type="submit" name="submit" id="submit" value="<?php echo __("Save Changes", "smart-footer-system") ?>">
						<span class="standby">
							<i class="fa fa-save"></i>
							<?php echo __("Save changes", "smart-footer-system") ?>
						</span>
						<span class="saving">
							<i class="fa fa-circle-o-notch fa-spin fa-fw"></i>
							<?php echo __("Wait until the settings are saved...", "smart-footer-system") ?>
						</span>
						<span class="saved">
							<i class="fa fa-check"></i>
							<?php echo __("Done!", "smart-footer-system") ?>
						</span>
					</button>
				</header>
				<div class="sfs-footer-settings">
					<?php
					include_once(SFS_PATH.'inc/backend/settings/settings.php');
					?>	
				</div>
			</section>	
			<?php wp_nonce_field( 'sfs-save-settings'); ?>	
			<input id="sfs-settings-current-tab" name="sfs-settings-current-tab" type="hidden" value="<?php echo (isset($_POST["sfs-settings-current-tab"])) ? $_POST["sfs-settings-current-tab"] : 'settings-general'  ?>">
		</form>
	</div>
</div>