<?php
$videoData = [
	"autoplay" => true,
	"loop" => false,
	"sound" => false,
	"start" => 0,
	"end" => false,
	"hide_mobile" => (isset($sfsPostFooter['footer']["background-video-hide-on-mobile"])) ? 'true' : 'false',
];
if (isset($sfsPostFooter['footer']["background-video-loop"]) && $sfsPostFooter['footer']["background-video-loop"]) {
	$videoData["loop"] = true;
}
if (isset($sfsPostFooter['footer']["background-video-sound"]) && $sfsPostFooter['footer']["background-video-sound"]) {
	$videoData["sound"] = true;
}
if (isset($sfsPostFooter['footer']["background-video-youtube-start"]) && $sfsPostFooter['footer']["background-video-youtube-start"] != '') {
	$videoData["start"] = $sfsPostFooter['footer']["background-video-youtube-start"];
}
if (isset($sfsPostFooter['footer']["background-video-youtube-end"]) && $sfsPostFooter['footer']["background-video-youtube-end"] != '') {
	$videoData["end"] = $sfsPostFooter['footer']["background-video-youtube-end"];
}
?>
<?php if($sfsPostFooter['footer']["background-video-type"] == 'youtube'): ?>
<style>

#sfs-footer-wrapper .sfs-footer-content {
	background-image: url(<?php echo $sfsPostFooter['footer']["background-video-youtube-image"] ?>)!important;
	background-size: cover!important;
	background-position: center center!important;
}
#sfs-footer-background-video.video-end iframe {
	opacity: 0;
}
</style>
<?php endif; ?>
<section id="sfs-footer-background-video" class="sfs-footer-background-video video-end" data-hide-on-mobile="<?php echo $videoData["hide_mobile"] ?>">
	<?php if (isset($sfsPostFooter['footer']["background-video-type"]) && $sfsPostFooter['footer']["background-video-type"] == 'self') : ?>
	<div class="iframe-embed">
		<video id="sfs-self-video-hosted" style="width:100%; height:1080px; background: url(<?php echo @$sfsPostFooter['footer']["background-video-self-image"] ?>) center center no-repeat transparent; background-size: cover" autoplay="autoplay"  <?php echo ($videoData['loop']) ? 'loop="loop" onended="var v=this;setTimeout(function(){v.playVideo()},300)"' : '' ?> <?php echo (!$videoData['sound']) ? 'volume="0"' : '' ?>>
			<source src="<?php echo (isset($sfsPostFooter["footer"]['background-video-self-mp4']) && $sfsPostFooter["footer"]['background-video-self-mp4'] != '') ? $sfsPostFooter["footer"]['background-video-self-mp4'] : '' ?>" type="video/mp4" />
			<source src="<?php echo (isset($sfsPostFooter["footer"]['background-video-self-webm']) && $sfsPostFooter["footer"]['background-video-self-webm'] != '') ? $sfsPostFooter["footer"]['background-video-self-webm'] : '' ?>" type="video/webm" />
			<source src="<?php echo (isset($sfsPostFooter["footer"]['background-video-self-ogv']) && $sfsPostFooter["footer"]['background-video-self-ogv'] != '') ? $sfsPostFooter["footer"]['background-video-self-ogv'] : '' ?>" type="video/ogg" />
		</video>
	</div>
	<script>
		jQuery(function(){
			<?php if (!$videoData['sound']) : ?>
			document.getElementById('sfs-self-video-hosted').volume = 0;
			<?php endif; ?>
			setTimeout(function(){
				jQuery(window).trigger("resize");
			},1000);
		});
	</script>
	<?php
elseif (isset($sfsPostFooter['footer']["background-video-type"]) && $sfsPostFooter['footer']["background-video-type"] == 'youtube') :
	$video_id = '';
if (preg_match('%(?:youtube(?:-nocookie)?\.com/(?:[^/]+/.+/|(?:v|e(?:mbed)?)/|.*[?&]v=)|youtu\.be/)([^"&?/ ]{11})%i', $sfsPostFooter['footer']["background-video-youtube"], $match)) {
	$video_id = $match[1];
}
?>

  <script>
        jQuery(window).on("load", function () {
            var tag = document.createElement('script');
            tag.src = "https://www.youtube.com/player_api?nocache=<?php echo rand(0,999999) ?>";
            var firstScriptTag = document.getElementsByTagName('script')[0];
			firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
			window.onYouTubePlayerAPIReady = function() {
					if(typeof YT == "undefined") return;
					window["SfsYoutubePlayer"] = new YT.Player('sfs-iframe-embed', {
						videoId: '<?php echo $video_id ?>',
						width: 1920,
						height: 1080,
						playerVars: {
							enablejsapi: 1,
							autoplay: 1,
							controls: 0,
							hd: 1,
							portrait: 1,
							rel: 0,
							showinfo: 0,
							playsinline: 1,
							iv_load_policy: 3,
							fs: 0,
							disablekb: 1,
							cc_load_policy: 1,
							modestbranding: 1,
							start: '<?php echo $videoData['start'] ?>',
							end: '<?php echo $videoData['end'] ?>',
						},
						events: {
							onReady: function(e){
								window["SfsVideoPlayer"] = e.target;
								<?php if (!$videoData["sound"]) : ?>
								window["SfsVideoPlayer"].mute();
								<?php endif; ?>
								if(window.innerWidth < 910 && jQuery("#sfs-footer-background-video").data("hide-on-mobile")) {
									window["SfsVideoPlayer"].stopVideo();
								}
								else {
									window["SfsVideoPlayer"].seekTo(<?php echo $videoData['start'] ?>, true);
								}
							},
							onStateChange: function(e){
								switch (e.data) {
									case YT.PlayerState.ENDED:
										jQuery("#sfs-footer-background-video").addClass("video-end");
										<?php if($videoData['loop']): ?>
										if(window.innerWidth >= 910 || window.innerWidth < 910 && jQuery("#sfs-footer-background-video").data("hide-on-mobile") != 'true') {
											window["SfsVideoPlayer"].seekTo(<?php echo $videoData['start'] ?>, true);
										}
										<?php endif; ?>
										<?php if (!$videoData["sound"]) : ?>
										window["SfsVideoPlayer"].mute();
										<?php endif; ?>
										break;
									case YT.PlayerState.BUFFERING:
										jQuery("#sfs-footer-background-video").addClass("video-end");
										break;
									case YT.PlayerState.PLAYING:
										jQuery("#sfs-footer-background-video").removeClass("video-end");
										<?php if (!$videoData["sound"]) : ?>
										window["SfsVideoPlayer"].mute();
										<?php endif; ?>
										break;
									default:
										jQuery("#sfs-footer-background-video").addClass("video-end");
										break;
								}
							}
						}
					});

					setInterval(function(){
						jQuery(window).trigger("video-resize");
					},200);
				if ( typeof window.sfsArrayYTAPIReady !== 'undefined' ) {
					if ( window.sfsArrayYTAPIReady.length ) {
						window.sfsArrayYTAPIReady.pop()();
					}
				}
			}
			if ( typeof window.onYouTubePlayerAPIReady !== 'undefined' ) {
				if ( typeof window.sfsArrayYTAPIReady === 'undefined' ) {
					window.sfsArrayYTAPIReady = [];
				}
				window.sfsArrayYTAPIReady.push( window.onYouTubePlayerAPIReady );
			}
		});

	</script>

	<div class="iframe-embed">
		<div id="sfs-iframe-embed"></div>
	</div>

	<?php
elseif (isset($sfsPostFooter['footer']["background-video-type"]) && $sfsPostFooter['footer']["background-video-type"] == 'vimeo') :
	$video_id = '';
$video_id = @rtrim(@end(@explode("/", @$sfsPostFooter['footer']["background-video-vimeo"])), "/");
?>
		<script src="https://player.vimeo.com/api/player.js"></script>
		<script>
			var SfsVideoPlayer = new Vimeo.Player('sfs-footer-background-video', {
				id: <?php echo $video_id ?>,
				autoplay: true,
				loop: <?php echo ($videoData["loop"]) ? 'true' : 'false' ?>,
				quality: '720p'
			});
			<?php if (!$videoData["sound"]) : ?>
			SfsVideoPlayer.setVolume(0);
			<?php endif; ?>
		</script>
	<?php endif; ?>
</section>
